Mehrere PHP Versionen mit ispconfig und Debian 8/9/10 & Ubuntu 18.04

gOOvER

Member
Ich habe mal einen kleinen Guide geschrieben, wie mal unter ispconfig3 und Debian 8/9/10 & Ubuntu 18.04 einfach per apt neue PHP Versionen hinzufügt. Ich nutze das so auf meinen Servern und es läuft ohne Probleme.

Verbesserungen sind gerne gesehen :)

Zum Guide für Debian 8/9/10
https://www.goover.de/article/5-installieren-mehrerer-php-versionen-in-ispconfig-3-für-debian-8-debian-9-debian/

Zum Guide für Ubuntu 18.04
https://www.goover.de/article/7-installieren-mehrerer-php-versionen-mit-ispconfig3-und-ubuntu-18-04/

Verbesserungen sind gerne gesehen :)

Da ich wieder auf Debian umgestiegen bin, vernachlässige ich den Ubuntu Guide leider etwas.
 
Zuletzt bearbeitet:

Holger_P

New Member
Hallo,

ich würde auch gerne PHP 7.2 oder 7.3 auf Ubuntu 16.04 und ISPC 3.1 nachinstallieren. Aber die Anleitung, die oben verlinkt ist, kapiere ich nicht einmal ansatzweise. Gibt es dafür kein Howto? Ich bin doch vermutlich nicht der Einzigste, dem das Supportende von PHP 7.0.x gerade Sorgen macht oder?
 

gOOvER

Member
Du musst bei dem Howto die Repros ersetzen und die für Ubuntu 16.04 nutzen. Ansonsten sollte der Rest genau so funktionieren
 

Domi83

New Member
Hallöchen und schönen guten Abend... mich hätte dein Tutorial auch mal interessiert. Ich hatte mich im vergangenen Jahr einmal mit dieser oder dieser Anleitung befasst und hat geklappt, aber schauen mir gerne auch mal andere Ideen und Ansätze an.

Wenn ich versuche deine Domain selbst zu öffnen, bekomme ich leider die Rückmeldung von Plesk, dass es nicht klappt (siehe Anhang). Vielleicht hilft dir das weiter :)

Gruß, Domi
 

Anhänge

Domi83

New Member
Hallo @florian030, guck dir mal bitte meinen Screenshot / Anhang an. Es schrieben hier einige, dass sie die Seite von @gOOvER nicht öffnen können. Wenn man nun also versucht www.goover.de zu öffnen, meldet Plesk dass es auf der Domain (dem Webspace) einen Fehler gibt ;)
 

Le-Seaw

Member
Sollte man nur machen wenn man noch originales PHP drauf hat.
Wenn schon andere Versionen drauf sind geht es schief :(
Hatte eben den Fall.
 

Werbung

Top